Bug 183701 - gfs_fsck segfaults on corrupt extended attribute block
gfs_fsck segfaults on corrupt extended attribute block
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: gfs (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Marzinski
GFS Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-02 17:16 EST by Ben Marzinski
Modified: 2010-01-11 22:09 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2006-0233
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-09 14:43:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ben Marzinski 2006-03-02 17:16:25 EST
Description of problem:
gfs_fsck segfaults if an extended attribute block is corrupted.

Version-Release number of selected component (if applicable):
GFS-6.1.2-0

How reproducible:
Always

Steps to Reproduce:
1. Corrupt a extended attribute block
2. Run gfs_fsck
  
Actual results:

gfs_fsck segfaults

Expected results:

gfs_fsck correctly cleans up the extended attribute block

Additional info:

This is the 6.1 version of the gfs_fsck segfault bug from bugzilla #173697
Comment 1 Ben Marzinski 2006-03-02 17:19:14 EST
Fixed. gfs_fsck was making a lot of assumptions about the type of corruption in
the extended attribute blocks.  Those assumptions have been removed. It should now
handle any type of corruption of extended attribute blocks
Comment 4 Red Hat Bugzilla 2006-03-09 14:43:25 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0233.html

Note You need to log in before you can comment on or make changes to this bug.